List synthesizer providers
curl --request GET \
--url https://app.famulor.de/api/user/assistants/synthesizer-providers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/assistants/synthesizer-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/synthesizer-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/synthesizer-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/synthesizer-providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
List synthesizer providers
Retrieve available TTS (text-to-speech) synthesizer providers
GET
/
api
/
user
/
assistants
/
synthesizer-providers
List synthesizer providers
This endpoint returns a list of available synthesizer providers that can be used when creating or updating assistants. Use the returned
id as synthesizer_provider_id in the assistant configuration.
Query parameters
integer
Filter providers by language support. Only providers that support the given language are returned. Use the Get Languages endpoint to fetch available language IDs.
Response fields
array
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
Notes
- If
language_idis not provided, all providers are returned. - Not every provider supports all languages – use the
language_idfilter to find compatible providers. - Synthesizer providers are only relevant for the
pipelineanddualplexmodes (inmultimodalmode, TTS is handled internally). - If you do not set
synthesizer_provider_idwhen creating an assistant, the default provider for the language is used.